# Uses of Interface
org.apache.commons.math3.dfp.UnivariateDfpFunction

Packages that use UnivariateDfpFunction
Package
Description
org.apache.commons.math3.dfp
Decimal floating point library for Java

## Uses of UnivariateDfpFunction in org.apache.commons.math3.dfp

Methods in org.apache.commons.math3.dfp with parameters of type UnivariateDfpFunction
Modifier and Type
Method
Description
`Dfp`
BracketingNthOrderBrentSolverDFP.`solve(int maxEval, UnivariateDfpFunction f, Dfp min, Dfp max, AllowedSolution allowedSolution)`
Deprecated.
Solve for a zero in the given interval.
`Dfp`
BracketingNthOrderBrentSolverDFP.`solve(int maxEval, UnivariateDfpFunction f, Dfp min, Dfp max, Dfp startValue, AllowedSolution allowedSolution)`
Deprecated.
Solve for a zero in the given interval, start at `startValue`.